org.fourthline.cling.model.types.csv

## Class CSVUnsignedIntegerTwoBytes

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<T>
      - - org.fourthline.cling.model.types.csv.CSV<UnsignedIntegerTwoBytes>
        - - org.fourthline.cling.model.types.csv.CSVUnsignedIntegerTwoBytes

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<UnsignedIntegerTwoBytes>, Collection<UnsignedIntegerTwoBytes>, List<UnsignedIntegerTwoBytes>, RandomAccess

      public class CSVUnsignedIntegerTwoBytes
      extends CSV<UnsignedIntegerTwoBytes>

  Author:
    Christian Bauer
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.model.types.csv.CSV

      `datatype`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSVUnsignedIntegerTwoBytes()`
    `CSVUnsignedIntegerTwoBytes(String s)`

  - ### Method Summary

    - ### Methods inherited from class org.fourthline.cling.model.types.csv.CSV

      `getBuiltinDatatype, parseString, toString`

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### CSVUnsignedIntegerTwoBytes

          public CSVUnsignedIntegerTwoBytes()

    - #### CSVUnsignedIntegerTwoBytes

          public CSVUnsignedIntegerTwoBytes(String s)
                                     throws InvalidValueException

      Throws:
        `InvalidValueException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.